Skip to content

getSimulation

GET
/v1/developers/projects/{project_id}/simulations/{simulation_id}
curl --request GET \
--url https://testnet-rpc.necter.network/v1/developers/projects/example/simulations/example \
--header 'Authorization: Bearer <token>'
project_id
required
string
/^0x[0-9a-f]{64}$/
simulation_id
required
string

Run

Media typeapplication/json
object
simulation_id
required
string
project_id
required
string
/^0x[0-9a-f]{64}$/
status
required
string
Allowed values: running passed failed
results
Array<object>
object
round_id
required
string
success
required
boolean
output
required
string
receipt_hash
required
string
/^0x[0-9a-f]{64}$/
gas_used
required
integer
events
Array<object>
object
name
string
data
consensus
required
object
state
string
votes
integer
quorum
integer
error
string | null
logs
Array<string>
started_at
required
integer
completed_at
One of:
integer

Example

{
"status": "running"
}

not_found

Media typeapplication/json
object
error
required

Stable machine code

string
message
required
string
details
object
key
additional properties
any
request_id
required
string

Example generated

{
"error": "example",
"message": "example",
"details": {},
"request_id": "example"
}